import React from 'react';
import { DevCycleNextOptions, DevCycleServerData } from '../../common/types';
export type DevCycleClientContext = {
    serverDataPromise: Promise<DevCycleServerData>;
    serverData?: DevCycleServerData;
    clientSDKKey: string;
    options: DevCycleNextOptions;
    enableStreaming: boolean;
    realtimeDelay?: number;
};
type DevCycleClientsideProviderProps = {
    context: DevCycleClientContext;
    promiseResolved: boolean;
    children: React.ReactNode;
};
export declare const InternalDevCycleClientsideProvider: ({ context, children, promiseResolved, }: DevCycleClientsideProviderProps) => React.ReactElement;
export {};
